/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_86130338")

  // add field
  collection.fields.addAt(4, new Field({
    "hidden": false,
    "id": "number586325581",
    "max": null,
    "min": null,
    "name": "songNum",
    "onlyInt": false,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_86130338")

  // remove field
  collection.fields.removeById("number586325581")

  return app.save(collection)
})
